/* box sizing */
html {
  -webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
  box-sizing: border-box;
}
*, *:before, *:after {
  -webkit-box-sizing: inherit;
  -moz-box-sizing: inherit;
  box-sizing: inherit;
}

/* base */
:root {
    --color-connected: darkgreen;
    --color-disconnected: lightgray;
}

body {
  font-size: 17px;
  margin: 0;
  padding: 1rem;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  min-height: 100vh;
}
@media screen and (min-width: 60rem) {
  body {
		font-size: 18px;
  }
}

/* Native dom elements */
i {
  font-style: italic;
}
strong {
  font-weight: bold;
}

h1 {
  font-size: 2em;
}
p {
  margin-bottom: 1rem;
}

rs-widget-status {
    display: inline-block;
    width: 1rem;
    height: 1rem;
    background-color: var(--color-disconnected);
    transition: background-color ease-in-out 300ms;
}
rs-widget-status[connected] {
    background-color: var(--color-connected);
}
